#!/bin/bash -c
app_names=("zookeeper" "kibana" "elasticsearch" "kafka" "kafka-manager" "logstash")
envs=("qa" "pro")

#当前目录
DEPLOY_HOME=$(
  cd $(dirname $0)
  pwd
)

echo "----------------------------------"
echo "选择要部署的应用："
echo "(0) zookeeper(废弃)"
echo "(1) kibana"
echo "(2) elasticsearch"
echo "(3) kafka(废弃)"
echo "(4) kafka-manager"
echo "(5) logstash"
echo "----------------------------------"
while [ 1 ]; do
  read input1
  if ! [[ $input1 =~ ^[0-9](,[0-9])*$ ]]; then
    echo "请输入[0-5]之间的数字:"
    continue
  fi

  if [  $input1 -ge 0 -a $input1 -le 5 ]; then
    currApp=${app_names[$input1]}
    break
  else
    echo "请输入[0-5]之间的数字："
  fi
done

echo "----------------------------------"
echo "运行环境："
echo "(0) qa"
echo "(1) pro"
echo "----------------------------------"
while [ 1 ]; do
  read input1
  if ! [[ $input1 =~ ^[0-9](,[0-9])*$ ]]; then
    echo "请输入[0-1]之间的数字:"
    continue
  fi

  if [ $input1 -ge 0 -o $input1 -lt 2 ]; then
    ENV=${envs[$input1]}
    break
  else
    echo "请输入[0-1]之间的数字："
  fi
done

echo "----------------------------------"
echo "最终要部署的应用${currApp}"
echo "环境${ENV}"
echo "----------------------------------"

sed -i.bak 's/\[ENV\]/'$ENV'/g' deploy-tmp-${currApp}.yaml

kubectl apply -f deploy-tmp-${currApp}.yaml